RPITALK-EMULATOR(1)

NAME
rpitalk-emulator - Raspberry Pi hardware speech synthesizer emulator

SYNOPSIS
rpitalk-emulator [options]

DESCRIPTION
rpitalk-emulator provides software for turning a Raspberry Pi into a DECtalk-compatible hardware speech synthesizer.

It emulates legacy hardware speech synthesizers and uses Speech Dispatcher as a backend, allowing older software designed for DECtalk or LiteTalk devices to produce speech through modern text-to-speech engines.

The emulator listens on a serial device provided by the Raspberry Pi USB OTG (gadget) interface and processes incoming synth-style commands to generate speech output.

At startup, rpitalk-emulator reads a system configuration file to determine default settings. Any command-line options override the configuration file.

OPTIONS

-p, --port device
    Serial port device name to use (for example, ttyGS0 or ttyUSB0). Default is ttyGS0, which is typically created by the USB OTG (gadget) serial driver.

-e, --emulate dectlk|ltlk
    Select which hardware synthesizer to emulate.

    dectlk
        Emulate a DECtalk-compatible device (default).

    ltlk
        Emulate a LiteTalk-compatible device.

-d, --debug level
    Set debug output level. A value of 0 disables debugging. Default is 0.

-t, --test speech|conn
    Run a built-in test instead of starting the emulator.

    speech
        Perform a speech synthesis test using the selected emulation type.

    conn
        Perform a serial connection test on the selected serial device.

CONFIGURATION FILE
The file /etc/rpitalk/emulator.conf is read at startup if it exists.

It must contain a section named [RPITalk] and may define the following keys:

port
    Serial port device name to use (for example, ttyGS0).

emulate
    Which synthesizer to emulate: dectlk or ltlk.

debug
    Debug level (integer, 0 disables debugging).

    Command-line options override values from the configuration file.

EXAMPLES
Start the emulator using defaults:

rpitalk-emulator

Use a different serial device:

rpitalk-emulator --port ttyUSB0

Emulate a LiteTalk device:

rpitalk-emulator --emulate ltlk

Run the speech test:

rpitalk-emulator --test speech

Enable debugging output:

rpitalk-emulator --debug 1

FILES

/dev/ttyGS0
    Default USB OTG gadget serial device (accessed internally when port is set to ttyGS0).

/etc/rpitalk/emulator.conf
    System-wide configuration file.

SEE ALSO
speech-dispatcher(1), espeak-ng(1)

AUTHOR
John G Heim <jheim@math.wisc.edu>

COPYRIGHT
Copyright © 2026 John G Heim.

This program is free software; you may redistribute it and/or modify it under the terms of the GNU General Public License version 3 or later.